export default {
  props: {
    data: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      chart: null,
      chartGeom: null,
    };
  },
  watch: {
    data() {
      this.refreshData();
    },
  },
  mounted() {
    this.initData();
  },
  methods: {
    initData() {},
    updateData() {},
    refreshData() {
      if (this.chart) {
        this.chart.changeData(this.data);
        this.chart.render();
        this.updateData();
      }
    },
  },
};
